## org.eclipse.emf.cdo.common.revision.delta
Interface CDOContainerFeatureDelta

All Superinterfaces:
  CDOFeatureDelta

    public interface CDOContainerFeatureDelta

extends CDOFeatureDelta

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta
`CDOFeatureDelta.Type`

Field Summary
`static org.eclipse.emf.ecore.EStructuralFeature` `CONTAINER_FEATURE`

Method Summary
`int` `getContainerFeatureID()`
`java.lang.Object` `getContainerID()`
`CDOID` `getResourceID()`

Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta
`accept, apply, getFeature, getType`

Field Detail

### CONTAINER_FEATURE

    static final org.eclipse.emf.ecore.EStructuralFeature CONTAINER_FEATURE

Since:
  2.0

Method Detail

### getResourceID

    CDOID getResourceID()

  Since:
    2.0

### getContainerID

    java.lang.Object getContainerID()

  Since:
    2.0

### getContainerFeatureID

    int getContainerFeatureID()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.